Package twisted :: Package test :: Module test_pb |
[frames | no frames]

## Module twisted.test.test_pb

Tests for Perspective Broker module.

TODO: update protocol level tests to use new connection API, leaving only specific tests for old API.

Classes
`BadCopyable` |
`BadCopySet` |
`BrokerTestCase` |
`ConnectionTestCase` |
`DeferredRemote` |
`DisconnectionTestCase` |
`DumbPub` |
`DumbPublishable` |
`Dummy` |
`DummyPerspective` |
`DummyService` |
`FreakOut` |
`GetPublisher` |
`IOPump` |
`LocalRemoteTest` |
`MyPerspective` |
`MyRealm` |
`MyView` |
`NestedCache` |
`NestedComplicatedCache` |
`NestedCopy` |
`NestedRemote` |
`NewCredTestCase` |
`NonSubclassingPerspective` |
`NSPTestCase` |
`Observable` |
`Observer` |
`Pagerizer` |
`PagingTestCase` |
`RatherBaroqueCache` |
`ReconnectOnce` |
`SimpleCache` |
`SimpleCopy` |
`SimpleFactoryCopy` |
`SimpleLocalCache` |
`SimpleLocalCopy` |
`SimpleRemote` |
`SpreadUtilTestCase` |
`VeryVeryComplicatedCacheable` |

Function Summary
| `connectedServerAndClient(...)`
| `createFactoryCopy(...)`
| `finishedCallback(...)`

Variable Summary
`str` | `bigString` = `'helloworldhelloworldhelloworldhelloworldhel...`
`NoneType` | `callbackArgs` = None
`NoneType` | `callbackKeyword` = None

Variable Details

    ### bigString Type: `str` Value:
        'helloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworldhelloworldhelloworldhelloworldhelloworldhelloworldhelloworl\
        dhelloworld'

    ### callbackArgs Type: `NoneType` Value:
        None

    ### callbackKeyword Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net